'use strict';

var index_cjs = require('./index.cjs');
var framework = require('@sapphire/framework');

var __defProp = Object.defineProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var _SubcommandsPlugin = class _SubcommandsPlugin extends framework.Plugin {
  /**
   * @since 3.1.2
   */
  static [framework.postInitialization](options) {
    index_cjs.loadPreconditions();
    if (options.loadSubcommandErrorListeners !== false) {
      index_cjs.loadListeners();
    }
  }
};
__name(_SubcommandsPlugin, "SubcommandsPlugin");
var SubcommandsPlugin = _SubcommandsPlugin;
framework.SapphireClient.plugins.registerPostInitializationHook(SubcommandsPlugin[framework.postInitialization], "Subcommand-PostInitialization");

exports.SubcommandsPlugin = SubcommandsPlugin;
//# sourceMappingURL=register.cjs.map
//# sourceMappingURL=register.cjs.map